# LED Library for MicroBlocks

Welcome to the **LED Library** for MicroBlocks!  
This library makes it easy for anyone—even if you don’t know how to code or use a computer much—to control a LED using simple blocks in MicroBlocks.

---

## Features

- **Easy drag-and-drop blocks** for controlling your LED.
- **No coding required**.
- **Turn on & off the LED**.
- **Control the brightness of the LED**.
- **Beginner-friendly instructions**.

---

## Getting Started

**What you need:**
- Spark microcontroller and connecting wires.
- MicroBlocks IDE installed ([Download here](https://microblocks.fun/download/)).
- A LED and basic connecting wires.

---

## Installation

1. **Download the LED Library:**  
   Download the library file from [here](../Spark_Digital.ubl).

2. **Open MicroBlocks IDE** on your computer.

3. **Add the Library:**
   - Go to the library manager in MicroBlocks.
   - Click “Import Library” or drag and drop the downloaded file into the IDE.

---

## How to Use

1. **Connect your LED** to your microcontroller’s pins (see your board’s pinout for details).

2. **Open MicroBlocks IDE** and make sure your board is connected.

3. **Find the LED blocks** in the blocks menu.

4. **Drag the blocks** you want to use into your script area.  

5. **Click the green flag** or “Run” to start controlling your fan!

---
## Examples 

In these functions, you must specify the digital pin corresponding to the module you are using.

![](Images/1.png)
*Example 1*
This function accepts two values from you: one to turn the LED on, and one to turn the LED off.

![](Images/2.png)
*Example 2*
This function takes a number between 0 and 1023 to control the brightness of the LED.

---

*Have fun building with your LED!*

